### Function

# GLib rc_box_acquire

since: 2.58

#### Declaration

    gpointer
    g_rc_box_acquire (
      gpointer mem_block
    )

#### Description

Acquires a reference on the data pointed by `mem_block`.

Available since: 2.58

#### Parameters

`mem_block`

  Type: `gpointer`

  A pointer to reference counted data.

  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

A pointer to the data, with its reference count increased.

The caller of the function takes ownership of the data, and is responsible for freeing it.